From 3258a03d11cd53ab2260f4abf59d386a20f9e0df Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 04 2017 22:05:20 +0000
Subject: [PATCH 824/1001] Make Flake8 exceptions more precise


---

diff --git a/hubs/app.py b/hubs/app.py
index d50c365..62a7485 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -98,12 +98,13 @@ def check_auth():
     else:
         flask.g.auth = munch.Munch(logged_in=False, user=None)
 
+
 # Register widgets
-import hubs.widgets  # noqa
+import hubs.widgets  # noqa: E402
 hubs.widgets.registry.register_list(app.config["WIDGETS"])
 
 # Register routes
-import hubs.views  # noqa
+import hubs.views  # noqa: E402
 
 # Add widget-specific routes
 hubs.widgets.registry.register_routes(app)
diff --git a/hubs/migrations/env.py b/hubs/migrations/env.py
index db92033..a9ea110 100644
--- a/hubs/migrations/env.py
+++ b/hubs/migrations/env.py
@@ -8,7 +8,7 @@ from sqlalchemy import create_engine, pool
 
 
 try:
-    import hubs  # noqa
+    import hubs
 except ImportError:
     import os
     import sys
diff --git a/hubs/tests/widgets/test_contact.py b/hubs/tests/widgets/test_contact.py
index 3d885d1..03f24e7 100644
--- a/hubs/tests/widgets/test_contact.py
+++ b/hubs/tests/widgets/test_contact.py
@@ -2,7 +2,6 @@ from __future__ import unicode_literals
 
 import json
 
-import flask
 import mock
 
 import hubs
@@ -12,11 +11,12 @@ from . import WidgetTest
 
 
 def mocked_requests_get(*args, **kwargs):
-    class MockResponse:  # flake8: noqa
+    class MockResponse:
         def __init__(self, json_data, status_code):
             self.json_data = json_data
             self.status_code = status_code
             self.text = str(json_data)
+
         def json(self):
             return self.json_data
 
@@ -33,6 +33,7 @@ def mocked_requests_get(*args, **kwargs):
 
     return MockResponse({}, 404)
 
+
 def mocked_requests_post(*args, **kwargs):
     class MockResponse:
         def __init__(self, json_data, status_code):
@@ -42,6 +43,7 @@ def mocked_requests_post(*args, **kwargs):
 
         def json(self):
             return self.json_data
+
     if '/decause' in kwargs['url']:
         data = {
             "current": 1,
@@ -72,16 +74,15 @@ class ContactsTest(WidgetTest):
         self.widget_idx = widget.idx
 
     def test_data_simple(self):
-        widget = self.widget_instance('ralph', self.plugin)
         user = FakeAuthorization('ralph')
-        response = self.check_url('/ralph/%i/json' % widget.idx, user)
+        response = self.check_url('/ralph/%i/json' % self.widget_idx, user)
         data = json.loads(response.get_data(as_text=True))
         self.assertDictEqual(data['data'], {
             'account_age': 'Oct 2010',
             'email': 'ralph@fedoraproject.org',
             'ircnick': 'ralph',
             'karma_url': '/ralph/w/contact/%i/plus-plus/ralph/status'
-                         % widget.idx,
+                         % self.widget_idx,
             'location': 'United States',
             'timezone': 'UTC',
             'usergroup': True,
@@ -92,7 +93,6 @@ class ContactsTest(WidgetTest):
 
     @mock.patch('requests.get', side_effect=mocked_requests_get)
     def test_plus_plus_get_valid(self, mock_get):
-        widget = self.widget_instance("ralph", self.plugin)
         url = "/ralph/w/contact/%d/plus-plus/%s/status" % (
             self.widget_idx, "decause")
         result = self.app.get(url)
@@ -111,7 +111,6 @@ class ContactsTest(WidgetTest):
 
     @mock.patch('requests.post', side_effect=mocked_requests_post)
     def test_plus_plus_post_increment_valid(self, mock_post):
-        widget = self.widget_instance("ralph", self.plugin)
         url = "/ralph/w/contact/%d/plus-plus/%s/update" % (
             self.widget_idx, "decause")
         user = FakeAuthorization('ralph')
@@ -132,7 +131,6 @@ class ContactsTest(WidgetTest):
 
     @mock.patch('requests.post', side_effect=mocked_requests_post)
     def test_plus_plus_post_increment_myself_error(self, mock_post):
-        widget = self.widget_instance("ralph", self.plugin)
         url = "/ralph/w/contact/%d/plus-plus/%s/update" % (
             self.widget_idx, "ralph")
         user = FakeAuthorization('ralph')
@@ -145,7 +143,6 @@ class ContactsTest(WidgetTest):
 
     @mock.patch('requests.post', side_effect=mocked_requests_post)
     def test_plus_plus_post_increment_user_does_not_exist(self, mock_post):
-        widget = self.widget_instance("ralph", self.plugin)
         url = "/ralph/w/contact/%d/plus-plus/%s/update" % (
             self.widget_idx, "doesnotexist")
         user = FakeAuthorization('ralph')
@@ -158,7 +155,6 @@ class ContactsTest(WidgetTest):
 
     @mock.patch('requests.post', side_effect=mocked_requests_post)
     def test_plus_plus_post_increment_no_data_error(self, mock_post):
-        widget = self.widget_instance("ralph", self.plugin)
         url = "/ralph/w/contact/%d/plus-plus/%s/update" % (
             self.widget_idx, "decause")
         user = FakeAuthorization('ralph')
@@ -170,7 +166,6 @@ class ContactsTest(WidgetTest):
             self.assertEqual(result.get_data(as_text=True), exp_str)
 
     def test_plus_plus_receiver_does_not_exist(self):
-        widget = self.widget_instance("ralph", self.plugin)
         url = "/ralph/w/contact/%d/plus-plus/%s/status" % (
             self.widget_idx, "doesnotexist")
         result = self.app.get(url)
diff --git a/runserver.py b/runserver.py
index f41b3cd..42bd503 100755
--- a/runserver.py
+++ b/runserver.py
@@ -31,7 +31,7 @@ if args.config:
     os.environ['HUBS_CONFIG'] = config
 
 
-from hubs.app import app  # noqa
+from hubs.app import app  # noqa: E402
 
 app.debug = True
 app.run(debug=True, host=args.host, port=int(args.port))
diff --git a/setup.py b/setup.py
index cb267d0..824eeb9 100644
--- a/setup.py
+++ b/setup.py
@@ -40,7 +40,7 @@ setup(
     ],
     entry_points={
         'moksha.consumer': [
-            "cache_invalidator = hubs.backend.consumer:CacheInvalidatorExtraordinaire",  # noqa
+            "cache_invalidator = hubs.backend.consumer:CacheInvalidatorExtraordinaire",  # noqa: E501
         ],
     },
 )

